> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List configuration relations



## OpenAPI

````yaml /schema.json get /di/list/nodes/{type}/{identifier}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/list/nodes/{type}/{identifier}:
    get:
      tags:
        - Di
      summary: List configuration relations
      operationId: getConfigurationNodes
      parameters:
        - name: type
          in: path
          description: Di type name
          required: true
          schema:
            type: string
        - name: identifier
          in: path
          description: Di configuration identifier
          required: true
          schema:
            type: string
        - name: direction
          in: query
          description: Direction to resolve relations
          required: false
          schema:
            type: string
            default: both
            enum:
              - down
              - up
              - both
              - recursive
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of nodes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiNodesList'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiNodesList:
      type: object
      properties:
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/DiNode'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    DiNode:
      type: object
      properties:
        type:
          type: string
        identifier:
          type: string
        name:
          type: string
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/DiNodeRelation'
    DiNodeRelation:
      type: object
      properties:
        relation:
          type: string
        node:
          type: object
          properties:
            identifier:
              type: string
            type:
              type: string
        paths:
          type: array
          items:
            type: string

````